Page MenuHomePhabricator

Discarding and selecting new page for translation gives wrong image
Closed, ResolvedPublic

Description

When selected page is discarded in "New translation" dialog, images aren't reset correctly. Next time "New translation" dialog is opened and new page selected, wrong things can happen if mixing pages with images and pages without images. Choosing two (or multiple) pages with image or two pages without image works as expected.
We can have following scenarios:

  1. Without image > With image
    • Select page without image
    • Discard dialog
    • Select page with image
    • Result: Selected page will have low opacity. That style should only be applied to pages without image.
  2. With image > Without image
    • Select page with image
    • Discard dialog
    • Select page without image
    • Result: Selected page will have image of previously selected page.

Here is video showing what is happening:

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterProperly discard selected article data

Event Timeline

Petar.petkovic triaged this task as Normal priority.Jun 7 2018, 11:38 PM
Arrbee moved this task from Needs Triage to Bugs on the ContentTranslation board.Jun 26 2018, 5:57 PM

Change 534208 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Properly discard selected article data

https://gerrit.wikimedia.org/r/534208

Change 534208 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Properly discard selected article data

https://gerrit.wikimedia.org/r/534208

Petar.petkovic closed this task as Resolved.Oct 8 2019, 3:54 PM